*                          MICRON HSPICE MODEL
*
* Disclaimer:  This software code and all associated documentation, comments
*              or other information (collectively "Software") is provided 
*              "AS IS" without warranty of any kind. MICRON TECHNOLOGY, INC. 
*              ("MTI") EXPRESSLY DISCLAIMS ALL WARRANTIES EXPRESS OR IMPLIED,
*              INCLUDING BUT NOT LIMITED TO, NONINFRINGEMENT OF THIRD PARTY
*              RIGHTS, AND ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS
*              FOR ANY PARTICULAR PURPOSE. MTI DOES NOT WARRANT THAT THE
*              SOFTWARE WILL MEET YOUR REQUIREMENTS, OR THAT THE OPERATION OF
*              THE SOFTWARE WILL BE UNINTERRUPTED OR ERROR-FREE. FURTHERMORE,
*              MTI DOES NOT MAKE ANY REPRESENTATIONS REGARDING THE USE OR THE
*              RESULTS OF THE USE OF THE SOFTWARE IN TERMS OF ITS CORRECTNESS,
*              ACCURACY, RELIABILITY, OR OTHERWISE. THE ENTIRE RISK ARISING OUT
*              OF USE OR PERFORMANCE OF THE SOFTWARE REMAINS WITH YOU. IN NO
*              EVENT SHALL MTI, ITS AFFILIATED COMPANIES OR THEIR SUPPLIERS BE
*              LIABLE FOR ANY DIRECT, INDIRECT, CONSEQUENTIAL, INCIDENTAL, OR
*              SPECIAL DAMAGES (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS
*              OF PROFITS, BUSINESS INTERRUPTION, OR LOSS OF INFORMATION)
*              ARISING OUT OF YOUR USE OF OR INABILITY TO USE THE SOFTWARE,
*              EVEN IF MTI HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
*              Because some jurisdictions prohibit the exclusion or limitation
*              of liability for consequential or incidental damages, the above
*              limitation may not apply to you.
* 
*              Copyright 2003 Micron Technology, Inc. All rights reserved.
*
******************** 128Mx4, 64Mx8, 32Mx16 DDR400 SDRAM **********************
*******************Example HSPICE setup file for DQs and DQS*******************

***********************************************************
****           ____                                       *
****      IN--|    \                                      *
****          |     }------PAD--\/\/\/--@@@@--|--PKG_OUT  *
****   ENOUT--|____/    |        R_pkg  L_pkg |           *
****                    |                    ===C_pkg     *
****             ___    |                     |           *
****            /  +|---|                    GND          *
**** RCVR_OUT--{   -|-----VREF                            *
****            \___|-(ENOUT#)                            *
***********************************************************

**** This netlist is for the x4, x8, and x16 512Mb DDR400 DDR SDRAM **********
**** The input signals are IN (input signal) and ENOUT (output enable signal).
**** The I/O data is available on the signal PAD.
**** The output of the input receiver circuit is the node RCVR_OUT.
**** To account for package parasitics correlative impedance values
**** (netlist elements R_pkg, L_pkg, C_pkg) have been attached to the PAD
**** node.  The package output is on the signal PKG_OUT.

**** NOTE: This spice file is not designed to match datasheet timing numbers. 
****       Delay times are smaller than those given in the data sheets.

**** To run this simulation, the files "model.cnr" and "dqbuff.inc" are 
**** required to be in the same directory as this netlist.
**** Temperature settings are: Typical 40C, Slow 85C, Fast 0C   

.OPTIONS METHOD=GEAR DCON=1
.OPTIONS SEARCH=' '  $This option must be present for decryption to work

**** Input signals and power supplies setup
**** Note: vccp and vccr are regulated internal voltages
**** Match up typ, min, or max voltages for corner sims
*Vvccq   vccq  0  DC = vccq
Vvcc    vcc   0  DC = vcc 
Vvccr   vccr  0  DC = vccr 
Vvccp   vccp  0  DC = vccp 
*Vvssq   vssq  0  DC = 0
Vvref   vref  0  DC = 'vccq/2'

Vdrv    fulldrv  0  DC = vccr  $vccr = 100%, gnd = 54%
**The fulldrv node selects between Full and Reduced output drive strengths.

* top cell:  dqbuff
* *********************************************
* Output load circuits:
xi0 tscore fulldrv incore vref pad rcvr_out vccp vccq vssq vcc 0 vccr dqbuff
rload rcvr_out 0 1000000
ets tscore 0 ts 0 'vccr'
ein incore 0 in 0 'vccr'
